<?php
/*
#Бесплатный WAP движок StrongCMS
#Официальный сайт поддержки: http://strongcms.ru 
*/
//-----------enotik------------//
# функции
require_once ('../system/function.php');

$id = abs(intval($_GET['id']));
$enot = mysql_fetch_assoc(mysql_query("SELECT * FROM `admin_chat` WHERE `id` = '".$id."'"));
$ank = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `id` = '".$enot['avtor']."'"));

#заголовок>шапка
$title = 'Ответ | '.$ank['login'];
require_once ('../system/header.php');

if(!$user['id'] or $user['level'] < 1) {
echo err($title, 'У вас не достаточно прав для просмотра данной страницы!');
require_once ('../system/footer.php'); exit;
}

if($user['id'] == $ank['id']) {
header('Location: '.$HOME.'/admin_chat/'); exit;
}

echo'<div class=podmenu > 
Ответ на сообщение: <font color=blau>'.nick($ank['id']).'</font> </br></br>
'.smile(bb($enot['msg'])).'</div>';


if(isset($_REQUEST['ok'])) {  
    
$msg = strong($_POST['msg']);
if(empty($msg) or mb_strlen($msg) < 3) {
echo err($title, 'Ошибка ввода,минимум 3 символа!');
}


mysql_query("INSERT INTO `lenta` SET `readlen` = '0', `time` = '".time()."', `komy` = '".$ank['id']."', `kto` = '".$user['id']."', `text` = 'ответил на ваше сообщение в [url=".$HOME."/admin_chat]админ чате[/url]'");
mysql_query("INSERT INTO `admin_chat` SET `msg` = '[b]".$ank['login'].",[/b] ".$msg."', `avtor` = '".$user['id']."', `time` = '".time()."', `id_komu` = '".$ank['id']."'");
header('Location: '.$HOME.'/admin_chat/'); exit;
}


echo '<div class="podmenu"><form action="" name="message" method="POST" >';
if($user['bb_panel'] == 1) {
require_once ('../system/bbcode.php');  
}
echo '<textarea name="msg" value="'.$ank['avtor'].'" placeholder="Введите сообщение..."></textarea><br />
<input type="submit" name="ok" value="Написать" />
</form></div>';
require_once ('../system/footer.php');

?>